Bug 631964 - Review Request: python-pbs - PBS/Torque python module
Summary: Review Request: python-pbs - PBS/Torque python module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-08 18:53 UTC by Steve Traylen
Modified: 2010-12-17 06:51 UTC (History)
3 users (show)

Fixed In Version: python-pbs-4.3.0-5.el4.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-08 21:38:53 UTC
kalevlember: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2010-09-08 18:53:51 UTC
Spec URL: http://cern.ch/straylen/rpms/pbs_python/pbs_python.spec
SRPM URL: http://cern.ch/straylen/rpms/pbs_python/pbs_python-4.1.0-2.fc13.src.rpm
Description:
The pbs_python package is a wrapper class for the  Torque C library.
With this package you now can write utilities/extensions in
Python instead of C.

Comment 3 Steve Traylen 2010-11-24 12:55:03 UTC
Update comment on python3 support to reflect upstream bug on the matter.
No actual change to package.

http://cern.ch/straylen/rpms/pbs_python/pbs_python.spec
http://cern.ch/straylen/rpms/pbs_python/pbs_python-4.3.0-2.fc13.src.rpm

Comment 4 Kalev Lember 2010-11-24 15:55:04 UTC
Taking for review.

Instead of pbs_python, I think it would be more natural to call this package python-pbs and name the subpackages respectively python26-pbs and python3-pbs.
Rationale:
 - Python naming guidelines suggest to use the format python-$NAME [1];
 - Naming guidelines prefer '-' as separator [2];
 - If Debian eventually gets around to packaging this, then the binary package
   will be named python-pbs as their guidelines are stricter. For consistency
   it might be nice to keep the naming similar.

[1] http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Addon_Packages_.28python_modules.29
[2] http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Separators


There are lots of conditionals similar to this:
%if %{?rhel}%{!?rhel:0} == 5
I'd suggest to use the following, more readable conditional instead:
%if 0%{?rhel} == 5

See http://fedoraproject.org/wiki/Packaging/DistTag#Conditionals


> # We need to filter _pbs.so out from the provides.
> Source100:     filter-provides.sh
> %global        _use_internal_dependency_generator 0
> %global        __find_provides /bin/bash %{SOURCE100}

I didn't really read the filter-provides.sh, but if you are just trying to filter the _pbs.so Provides from Python private directory, it's easier to use:
%{?filter_provides_in: %filter_provides_in %{python_sitearch}/pbs/.*\.so}
%{?filter_setup}

https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering#Preventing_files.2Fdirectories_from_being_scanned_for_provides_.28pre-scan_filtering.29

Comment 5 Steve Traylen 2010-11-24 19:41:45 UTC
Kalev,

Thanks for the comments:

+ I've renamed to python-pbs.
+ The conditionals have been changed to be as per dist tag example page.
+ I'm using the filter_provides_in macro. Was not aware of that one, thanks.
  (It does not work on RHEL5 but given the state of even the python package
   I don't feel it's significant.)

http://cern.ch/straylen/rpms/pbs_python/python-pbs.spec
http://cern.ch/straylen/rpms/pbs_python/python-pbs-4.3.0-3.fc13.src.rpm

Steve.

Comment 6 Kalev Lember 2010-11-25 14:03:35 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2625799

Comment 7 Kalev Lember 2010-11-25 14:19:14 UTC
Fedora review python-pbs-4.3.0-3.fc13.src.rpm 2010-11-25

+ OK
! needs attention

rpmlint output:
$ rpmlint python-pbs \
          python-pbs-4.3.0-3.fc15.src.rpm \
          python-pbs-debuginfo-4.3.0-3.fc15.i686.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Rpmlint is quiet
+ The package is named according to the Package Naming Guidelines.
+ Spec file name matches the base package name
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
! The license file (LICENSE.openpbs) isn't included in the package
+ Spec file is written in American English
+ Spec file is legible
+ Following instructions in the spec file to check out sources
+ Upstream sources match sources in the srpm. md5sum:
  34fada5c56322fac6254d6bf9c9c9106  pbs_python-4.3.0.tar.gz
  34fada5c56322fac6254d6bf9c9c9106  Download/pbs_python-4.3.0.tar.gz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a The spec file MUST handle locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all directories it creates
+ No duplicate files in %files
+ Permissions are properly set and %files has %defattr
+ Consistent use of macros
+ The package must contain code, or permissable content.
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc don't affect the package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Package doesn't contain any libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Directory ownership sane
+ Filenames are valid UTF-8


MUSTFIX:
 - Include the LICENSE.openpbs file in %doc for both subpackages

Some additional nitpicking:
 - Also consider including the AUTHORS and CHANGES files in %doc
 - python-pbs and %{altpython}-pbs subpackages have different Group tags; might
   make sense to put them both into same group. Also, if you use same group,
   then you only have to specify Group tag for main package and the subpackage
   inherits it automatically.
 - %descriptions for both subpackages still refer to 'pbs_python' package name

Comment 8 Steve Traylen 2010-11-27 20:25:09 UTC
(In reply to comment #7)

> MUSTFIX:
>  - Include the LICENSE.openpbs file in %doc for both subpackages
> 
> Some additional nitpicking:
>  - Also consider including the AUTHORS and CHANGES files in %doc
>  - python-pbs and %{altpython}-pbs subpackages have different Group tags; might
>    make sense to put them both into same group. Also, if you use same group,
>    then you only have to specify Group tag for main package and the subpackage
>    inherits it automatically.
>  - %descriptions for both subpackages still refer to 'pbs_python' package name

All these comments are valid and should have been trivial for me to have seen..

Thanks.


%changelog
* Sat Nov 27 2010 Steve Traylen <steve.traylen@cern.ch> 4.3.0-4
- Finish renaming package to python-pbs.  rhbz#657027
- Add LICENSE.openpbs and CHANGES files to doc. rhbz#657027
- Consistantly group altpython package in same group.

http://cern.ch/straylen/rpms/pbs_python/python-pbs.spec
http://cern.ch/straylen/rpms/pbs_python/python-pbs-4.3.0-4.fc13.src.rpm

Comment 9 Kalev Lember 2010-11-27 20:50:00 UTC
Looks good.

APPROVED

Comment 10 Steve Traylen 2010-11-27 22:01:20 UTC
New Package SCM Request
=======================
Package Name: python-pbs
Short Description: PBS/Torque python module
Owners: stevetraylen
Branches: el4 el5 el6 f13 f14 
InitialCC:

Many thanks for the review.

It will go into all branches unmodified except el4 where I will have
to change the %global for %define but I'll do that only in the el4 branch
I think.

Comment 11 Jason Tibbitts 2010-11-29 16:56:26 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2010-11-29 17:49:57 UTC
python-pbs-4.3.0-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-pbs-4.3.0-5.fc13

Comment 13 Fedora Update System 2010-11-29 17:50:04 UTC
python-pbs-4.3.0-5.el4.1 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/python-pbs-4.3.0-5.el4.1

Comment 14 Fedora Update System 2010-11-29 17:50:10 UTC
python-pbs-4.3.0-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-pbs-4.3.0-5.fc14

Comment 15 Fedora Update System 2010-11-29 17:50:17 UTC
python-pbs-4.3.0-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-pbs-4.3.0-5.el5

Comment 16 Fedora Update System 2010-11-30 16:26:14 UTC
python-pbs-4.3.0-5.el4.1 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-pbs'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-pbs-4.3.0-5.el4.1

Comment 17 Fedora Update System 2010-12-08 21:38:48 UTC
python-pbs-4.3.0-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-12-08 21:41:01 UTC
python-pbs-4.3.0-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-12-17 06:50:23 UTC
python-pbs-4.3.0-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-12-17 06:51:32 UTC
python-pbs-4.3.0-5.el4.1 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.